Bug 301663 - after creating a imap account (using assistent) the folder list is still empty
Summary: after creating a imap account (using assistent) the folder list is still empty
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: folders (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-11 16:28 UTC by Sven Assmann
Modified: 2012-06-12 11:26 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.8.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sven Assmann 2012-06-11 16:28:02 UTC
after creating a imap account using assistent the folder list is empty until restarting akonadi server. Restarting only kmail or kontact suite is not enougth. Only using the akonadi management gui and restarting the full server the new imap mail account gets visible in the kmail folder list.



Reproducible: Always

Steps to Reproduce:
1.Create a new IMAP Account using kmails assistent
2.Look at the empty folder list
3.restart akonadi server
4.see now the list was updated
Actual Results:  
after step 4 it works. But for users this is now acceptable the trust in that application is goin lost.

Expected Results:  
after step 1 the folder list should be refreshed automaticly

this occures in the latest kubuntu neon project packages from 2012-06-11
Comment 1 Laurent Montel 2012-06-12 11:24:21 UTC
Git commit f37a965cb050294bfa9b8c69a06bf527ba997605 by Montel Laurent.
Committed on 12/06/2012 at 13:23.
Pushed by mlaurent into branch 'master'.

Fix Bug 301663 - after creating a imap account (using assistent) the

folder list is still empty
FIXED-IN: 4.8.5

M  +1    -0    mailcommon/foldercollectionmonitor.cpp

http://commits.kde.org/kdepim/f37a965cb050294bfa9b8c69a06bf527ba997605
Comment 2 Laurent Montel 2012-06-12 11:26:13 UTC
Git commit 7a616f127ae96c6645a44407d51713fe3aca05dc by Montel Laurent.
Committed on 12/06/2012 at 13:23.
Pushed by mlaurent into branch 'KDE/4.8'.

Fix Bug 301663 - after creating a imap account (using assistent) the

folder list is still empty
FIXED-IN: 4.8.5
(cherry picked from commit f37a965cb050294bfa9b8c69a06bf527ba997605)

Conflicts:

	mailcommon/foldercollectionmonitor.cpp

M  +2    -1    mailcommon/foldercollectionmonitor.cpp

http://commits.kde.org/kdepim/7a616f127ae96c6645a44407d51713fe3aca05dc